Docs
Product Repository APIFilter

Create a new filterBeta

Security groups:Rule Engineers
POST
/products/filters

Saves a filter expression as a named, reusable resource. Once saved, the filter can be applied to product lists or referenced by a Customer Specific Assignment Rule.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/products/filters" \  -H "Content-Type: application/json" \  -d '{    "name": "Green Salad Filter",    "description": "Selects products tagged as \\"Salad\\" or \\"Tomato\\" and with green veggie color",    "query": "eclear.productTags[en] %in% (\\"Salad\\", \\"Tomato\\") & merchant.veggieColor = \\"green\\""  }'
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "status": "CONFLICT",
  "code": "CONFLICT_ENTITY_MODIFIED",
  "message": "Conflict.",
  "timestamp": "2024-06-21T12:36:37.900574",
  "path": "/path"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}